org.jboss.jca.common.api.metadata.common

## Enum Validation.Tag

- java.lang.Object
- - java.lang.Enum<Validation.Tag>
  - - org.jboss.jca.common.api.metadata.common.Validation.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Validation.Tag>
  Enclosing interface:
    Validation

      public static enum Validation.Tag
      extends java.lang.Enum<Validation.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKGROUND_VALIDATION` background-validation tag
    `BACKGROUND_VALIDATION_MILLIS` background-validation-millis tag
    `UNKNOWN` always first
    `USE_FAST_FAIL` use-fast-fail tag
    `VALIDATE_ON_MATCH` validateOnMatch tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Validation.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static Validation.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Validation.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Validation.Tag UNKNOWN

      always first

    - #### VALIDATE_ON_MATCH

          public static final Validation.Tag VALIDATE_ON_MATCH

      validateOnMatch tag

    - #### BACKGROUND_VALIDATION

          public static final Validation.Tag BACKGROUND_VALIDATION

      background-validation tag

    - #### BACKGROUND_VALIDATION_MILLIS

          public static final Validation.Tag BACKGROUND_VALIDATION_MILLIS

      background-validation-millis tag

    - #### USE_FAST_FAIL

          public static final Validation.Tag USE_FAST_FAIL

      use-fast-fail tag

  - ### Method Detail

    - #### values

          public static Validation.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Validation.Tag c : Validation.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Validation.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Validation.Tag>`

    - #### forName

          public static Validation.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)